<template>
	<div>
		{{value}}
	</div>
</template>
<script lang="ts">
	import { Component, Prop, Vue, Watch, Mixins } from "vue-property-decorator";
	import { getMaindataStorehouseSingleData } from '@/api/delivery';
	@Component
	export default class StoreHouse extends Vue {
		@Prop()
		propValue : any
		value : any = ''
		created() {
			if(this.propValue){
				getMaindataStorehouseSingleData({ id: this.propValue }).then((res : any) => {
					if (res.code === 200) {
						if(res.data){
							this.value = res.data.name+'('+res.data.id+')'
						}
					}
				}).catch();
			}
		};
	}
</script>

<style>
</style>